// +---------------------------------------+
// | C5MENU 32bits v1.2       MENU.PRG     |
// |                                       |
// | AUTOR: Francisco Garca  [Espaa]     |
// | ADAPTACION A 32BITS:                  |
// |        Juan Carlos Salinas Ojeda      |
// |        jcso@esm.com.mx                |
// |        jcso@hotmai.com (solo msn)     |
// |                                       |
// | AGRADECIMIENTO ESPECIAL: Gracias mil  |
// | a Paco Garca por cederme su cdigo y |
// | tenerme la confianza de poder hacer   |
// | algo productivo para la comunidad.    |
// |                                       |
// | 05 de JULIO de 2005,   Mxico DF      |
// |                                       |
// +---------------------------------------+

// Importante !!! Lee las limitantes en el archivo MENU.PRG

// Gracias a los dems colaboradores que han arreglado
// algunos bugs de la clase.
// a lo largo del cdigo fuente, vern sus nombres y la
// fecha de la modificacin.

#include "fivewin.ch"
#include "c5menu.ch"

#define NAMEPROGRAM "C5Menu 32bits v1.2"

Static oWnd, oFont, oFont2, oItem1, oItem

Function Main()

  Local oMsg

  DEFINE WINDOW oWnd TITLE NAMEPROGRAM

         oWnd:bRClicked := { |nRow, nCol| MenuPopup( nRow, nCol ) }

         DEFINE MESSAGE oMsg OF oWnd PROMPT NAMEPROGRAM

  ACTIVATE WINDOW oWnd MAXIMIZED ON INIT oWnd:SetMenu( Mic5Menu() )

  oFont:End()
  oFont2:End()

Return NIL

// ------------------------------------------------------------

STAT FUNC MenuPopup( nRow, nCol )

   Local oMenu

   C5MENU oMenu POPUP COLOR CLR_BLACK, CLR_GRAY COLORSEL CLR_WHITE,CLR_BLACK
      C5MENUITEM "1 Probando los popups" ACTION MsgInfo( "JEJEJE!" )
      C5MENUITEM "2 Probando los popups" ACTION MsgInfo( "2" )
      C5MENUITEM "3 Probando los popups" ACTION MsgInfo( "3" )
      C5MENUITEM "4 Probando los popups" ACTION MsgInfo( "4" )
      C5MENUITEM "5 Probando los popups" ACTION MsgInfo( "5" )
      C5MENUITEM "6 Probando los popups" ACTION MsgInfo( "6" )
   C5ENDMENU

   ACTIVATE C5MENU oMenu AT nRow, nCol OF oWnd

Return NIL

/*
  +--------------------------+
   INICIAMOS CON EL MENU ;)
  +--------------------------+
*/

Function Mic5Menu()

   Local oCursor, oMenu

   DEFINE CURSOR oCursor HAND
   DEFINE FONT oFont  NAME "Ms Sans Serif" SIZE 0, -8 UNDERLINE
   DEFINE FONT oFont2 NAME "ARIAL" SIZE 0, -10 BOLD

   C5MENU oMenu COLORSEL CLR_WHITE, CLR_RED SOUND ".\SOUNDS\NEXTROOM.WAV"

   C5MENUITEM "Jsn Software"
   C5MENU  BITMAP ".\fondos\bonito.bmp" HEIGHT 20 WIDTH 155 SELECT 3D COLORBOX CLR_GREEN
          C5MENUITEM "Pgina principal"         FILE ".\BMPS\jsn1.bmp"
          C5MENUITEM "Novedades"                FILE ".\BMPS\jsn2.bmp"
          C5MENUITEM "Cuaderno de Bitcora"     FILE ".\BMPS\jsn3.bmp"
          C5MENUITEM "el Puchero"               FILE ".\BMPS\jsn4.bmp"
          C5MENUITEM "Guardian"                 FILE ".\BMPS\jsn5.bmp"
          C5MENUITEM "Hemerot"                  FILE ".\BMPS\jsn6.bmp"
          C5MENUITEM "Descargar demos"          FILE ".\BMPS\jsn7.bmp"
          C5MENUITEM "Registro de programas"    FILE ".\BMPS\jsn8.bmp"
          C5MENUITEM "Formulario de registro"   FILE ".\BMPS\jsn9.bmp"
          C5MENUITEM "Diseo de WEBS"           FILE ".\BMPS\jsn10.bmp"
          C5MENUITEM oItem PROMPT " Nuevo e-mail !"    + CRLF +;
                     "soporte@jsnsoftware.com"  FILE ".\BMPS\jsn11.bmp"
          oItem:nHeight := 32
          C5MENUITEM "c5@software.com" FONT oFont
   C5ENDMENU


   C5MENUITEM "&Opciones"
   C5MENU HEIGHT 36 BITMAP ".\BMPS\marmol.BMP"
      C5MENUITEM  "Imagen 1"          ;
          FILE    "bmps\image1.bmp"       ;
          MESSAGE "Mostrando la opcin" ;
          ACTION oItem1:Disable()
      C5MENUITEM "&Imagen 2"             ;
          FILE ".\bmps\image2.bmp"        ;
          ACTION oItem1:Enable();
          MESSAGE "Mostrando la opcion 2"
      C5MENUITEM oItem1 PROMPT "CanalFive" ;
          FILE ".\bmps\image3.bmp"         ;
          MESSAGE "Abre el navegador y conecta con FIVETECH" ;
          ACTION MsgInfo( "Navegando en internet....." )
          oItem1:nHeight := 50
      C5MENUITEM "Para alvar como..."  ;
          FILE ".\bmps\image3.bmp"                          ;
          MESSAGE "Opcin con acelerador"                 ;
          ACTION MsgInfo( "hola" ) ACCELERATOR ACC_ALT, ASC( "P" )
   C5ENDMENU


   C5MENUITEM "Archivar"
   C5MENU  HEIGHT 45 ;
           LOGO ".\titles\SMALLC5.BMP" ;
           LOGOCOLOR CLR_WHITE ;
           COLORSEL CLR_WHITE, CLR_BLUE
      C5MENUITEM "Primer cursor"    ;
                 FONT oFont  ;
                 CURSOR oCursor
      C5MENUITEM "&Segundo cursor" CHECKED  FONT oFont2 ;
                 CURSOR oCursor
      C5SEPARATOR
      C5MENUITEM "Tercer Item" DISABLED FONT oFont2 CURSOR oCursor
      C5MENUITEM "Cuarto Item" DISABLED FONT oFont2 CURSOR oCursor
      C5MENUITEM "Quinto Item" DISABLED FONT oFont2 CURSOR oCursor
      C5MENUITEM "Item principal"       FONT oFont2 CURSOR oCursor
   C5ENDMENU


   C5MENUITEM "&SubMenus"
   C5MENU  HEIGHT 45                     ;
           COLOR 0, rgb( 225, 225, 240)  ;
           COLORSEL CLR_WHITE, CLR_BLACK ;
           LOGO ".\TITLES\marmol.jpg"
      C5MENUITEM "Primera opcin" COLOR CLR_RED ICON "iconos\101.ico"
      C5MENUITEM "&Segundo cursor" CHECKED  COLOR CLR_GREEN ICON "iconos\102.ico"
      C5SEPARATOR
      C5MENUITEM "Tercer Item"     COLOR CLR_MAGENTA ICON "iconos\103.ico"
      C5MENUITEM "Cuarto Item"     COLOR CLR_HBLUE ICON "iconos\105.ico"
      C5MENUITEM "Sexto  Item"     COLOR CLR_YELLOW ICON "iconos\106.ico"
      C5MENUITEM "Septimo Item"    COLOR CLR_YELLOW ICON "iconos\107.ico"
      C5MENU LOGO ".\TITLES\SMALLC5.BMP" LOGOCOLOR CLR_WHITE HEIGHT 40 SELECT 3D
           C5MENUITEM "Primer item"   ICON ".\iconos\101.ico"
           C5MENUITEM "Segundo item"  FILE ".\BMPS\CAJAS.BMP"
           C5MENUITEM "Tercero item"
           C5MENUITEM "Cuarto item"
      C5ENDMENU
      C5MENUITEM "Item principal" COLOR CLR_BLUE
   C5ENDMENU


  C5MENUITEM "Posit"
   C5MENU BITMAP ".\fondos\posit.gif" SELECT 3D COLORBOX CLR_GRAY HEIGHT 20 WIDTH 122
   C5MENUITEM oItem1 PROMPT "" // No se pone nada porque est definido en la imagen
   C5MENUITEM "Nuevo"                    FILE "bmps\posit1.bmp"
   C5MENUITEM "Modificar"                FILE "bmps\posit2.bmp"
   C5MENUITEM OemToAnsi("Nuts & Bolts")  FILE "bmps\posit3.bmp"
   C5MENUITEM "Powerdesk"                FILE "bmps\posit4.bmp"
   C5MENUITEM "Dial-up Networking"       FILE "bmps\posit5.bmp"  FONT oFont
   C5MENUITEM "Internet Explorer"        FILE "bmps\posit6.bmp"  FONT oFont
   C5MENUITEM "Neoplanet"                FILE "bmps\posit7.bmp"
  C5ENDMENU


  C5MENUITEM "Aplicaciones"
   C5MENU BITMAP "fondos\apps.jpg" COLORSEL CLR_BLACK, CLR_WHITE HEIGHT 20 WIDTH 150
   C5MENUITEM oItem1 PROMPT ""
   C5MENUITEM "Acclaim Entertainment"
   C5MENUITEM "Adobe Photoshop"
   C5MENUITEM "Axialis Programs"
   C5MENUITEM "Codemasters"
   C5MENUITEM "Creative"
   C5MENUITEM "Epson"
   C5MENUITEM "Icon Customiser"
   C5MENUITEM "Internet Explorer"
   C5MENUITEM "KH Software Factory"
   C5MENUITEM "Microangelo"
   C5MENUITEM "Mirabilis ICQ"
   C5MENUITEM "MotoRacer"
   C5MENUITEM "Nifty Manager"
   C5MENUITEM "Olympus"
   C5MENUITEM "Paint Shop Pro"
   C5MENUITEM "Sound Blaster AWE64"
   C5MENUITEM "TitleWave"
   C5MENUITEM "Ubi Soft Games"
   C5MENUITEM "WindowBlinds"   FONT oFont2
 C5ENDMENU

 C5MENUITEM "Explorer"
 C5MENU BITMAP ".\fondos\explorer.jpg" SELECT 3D ;
      HEIGHT 20 WIDTH 141
  C5MENUITEM  ""
  C5MENUITEM "Explorer"
  C5MENUITEM "Windows Explorer"         FILE ".\BMPS\exp1.bmp"
  C5MENUITEM "Windows Commander"        FILE ".\BMPS\exp2.bmp"
  C5MENUITEM "Drives"                   FONT oFont2
  C5MENUITEM "A: Drive"                 FILE ".\BMPS\exp3.bmp"
  C5MENUITEM "C: Drive"                 FILE ".\BMPS\exp4.bmp"
  C5MENUITEM "D: Drive"                 FILE ".\BMPS\exp5.bmp"
  C5MENUITEM "E: Drive"                 FILE ".\BMPS\exp6.bmp"
  C5MENUITEM "F: Drive"                 FILE ".\BMPS\exp7.bmp"
  C5MENUITEM  "" LINK
 C5ENDMENU


 C5MENUITEM "&Medical Data"
 C5MENU COLOR CLR_BLACK, NRGB( 225, 225, 240 ) ;
        HEIGHT 35 SELECT 3D ;
        LOGO ".\TITLES\MEDICAL.BMP" ;
        LOGOCOLOR nRGB(36,69,173)
   C5MENUITEM "Pacientes"       FILE ".\BMPS\V4PACI.BMP"   MESSAGE "Abre el catlogo de pacientes"
   C5MENUITEM "&Medicamento&s"  FILE ".\BMPS\V4MEDICA.BMP" MESSAGE "Abre el catlogo de medicamentos"
   C5SEPARATOR
   C5MENUITEM "&Agregar"        FILE ".\BMPS\V4NUEVO.BMP"  MESSAGE "Agrega un nuevo registro"
   C5MENUITEM "&Eliminar"       FILE ".\BMPS\V4BORRAR.BMP" MESSAGE "Borra el registro seleccionado"
   C5MENUITEM "&Modificar"      FILE ".\BMPS\V4MODIF.BMP"  MESSAGE "Modifica los datos del registro actual"
   C5SEPARATOR
   C5MENUITEM "&Buscar"             FILE ".\BMPS\V4BUSCAR.BMP"   MESSAGE "Busca un registro"
   C5MENUITEM "&Buscar Siguiente"   FILE ".\BMPS\V4BUSCASIG.BMP" MESSAGE "Busca el siguiente que coincida"
   C5SEPARATOR
   C5MENUITEM "&Salir" MESSAGE "Abandonar"
 C5ENDMENU

C5ENDMENU


Return oMenu
